Page MenuHomePhabricator

Entity Schema editor should be warning users about a blank edit summary
Closed, ResolvedPublic5 Story Points

Description

Mediawiki user can enable preference setting "Prompt me when entering a blank edit summary" (Editing/Editor section). Having this setting on, and leaving the summary field empty while doing e.g. edit in the wikitext editor results in the warning prompt.
Entity Schema editor should behave in similar manner when the setting is on.

Acceptance criteria

  • When the user has enabled "Prompt me when entering a blank edit summary" in their preferences and is saving the Entity Schema change (when there are changes) with the black edit summary, there should be a warning shown.

Note

  • Ideally, we want to reuse the exact same behavior on other pages, if possible.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2019, 9:47 AM
alaa_wmde set the point value for this task to 5.Aug 13 2019, 12:21 PM
alaa_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Campsite board.
alaa_wmde updated the task description. (Show Details)
alaa_wmde updated the task description. (Show Details)Aug 13 2019, 12:24 PM
noarave claimed this task.Sep 3 2019, 9:55 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptSep 3 2019, 9:55 AM

Change 534602 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/EntitySchema@master] Add a reminder for blank user summary when saving an editted Schema text

https://gerrit.wikimedia.org/r/534602

The warning doesn't have much notice to it:


Adding warningbox makes it more visible:

Change 534602 merged by jenkins-bot:
[mediawiki/extensions/EntitySchema@master] Add a reminder for blank user summary when saving an editted Schema text

https://gerrit.wikimedia.org/r/534602

alaa_wmde closed this task as Resolved.Oct 1 2019, 2:49 PM